import { OnDestroy } from '@angular/core';
import { BehaviorSubject, Observable, Subject } from 'rxjs';
import { BsNavbarComponent } from '../navbar/navbar.component';
import * as i0 from "@angular/core";
export declare class BsNavbarNavComponent implements OnDestroy {
    constructor(bsNavbar: BsNavbarComponent);
    bsNavbar: BsNavbarComponent;
    collapse$: BehaviorSubject<boolean>;
    windowWidth$: BehaviorSubject<number | null>;
    showNavs$: Observable<boolean>;
    isResizing$: BehaviorSubject<boolean>;
    destroyed$: Subject<unknown>;
    ngOnDestroy(): void;
    set collapse(value: boolean);
    get collapse(): boolean;
    onWindowResize(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsNavbarNavComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BsNavbarNavComponent, "bs-navbar-nav", never, { "collapse": "collapse"; }, {}, never, ["*"], false, never>;
}
